Apply by doing:
	/usr/src
	patch -p0 < 010_sis.patch

Then build and install a new kernel

Index: sys/dev/pci/if_sis.c
===================================================================
RCS file: /cvs/src/sys/dev/pci/if_sis.c,v
retrieving revision 1.99
retrieving revision 1.99.2.2
diff -p -u -r1.99 -r1.99.2.2
--- sys/dev/pci/if_sis.c	6 Aug 2010 05:24:16 -0000	1.99
+++ sys/dev/pci/if_sis.c	17 Feb 2011 00:53:48 -0000	1.99.2.2
@@ -1,4 +1,4 @@
-/*	$OpenBSD: if_sis.c,v 1.99 2010/08/06 05:24:16 deraadt Exp $ */
+/*	$OpenBSD: if_sis.c,v 1.99.2.2 2011/02/17 00:53:48 sthen Exp $ */
 /*
  * Copyright (c) 1997, 1998, 1999
  *	Bill Paul <wpaul@ctr.columbia.edu>.  All rights reserved.
@@ -1268,6 +1268,11 @@ sis_newbuf(struct sis_softc *sc, struct 
 
 	c->sis_mbuf = m_new;
 	c->sis_ptr = htole32(c->map->dm_segs[0].ds_addr);
+
+	bus_dmamap_sync(sc->sc_dmat, sc->sc_listmap,
+	    ((caddr_t)c - sc->sc_listkva), sizeof(struct sis_desc),
+	    BUS_DMASYNC_PREWRITE);
+
 	c->sis_ctl = htole32(ETHER_MAX_DIX_LEN);
 
 	bus_dmamap_sync(sc->sc_dmat, sc->sc_listmap,
